package du3;

/**
 *
 * @author votavon1
 */
public class Main {

    public static int pocetDnu(int rok, int mesic, int den){
        int pocetDnu = 0;
        // reseni
        boolean prestupnyRok = ((rok % 4 == 0) && (rok % 100 != 0)) || (rok % 400 == 0);
        pocetDnu = den;
        for(int i = 1; i < mesic; i++){
            switch(i){
                case 1: case 3: case 5: case 7: case 8: case 10: case 12:
                    pocetDnu += 31;
                    break;
                case 2:
                    if (prestupnyRok) pocetDnu += 29;
                    else pocetDnu += 28;
                    break;
                case 4: case 6: case 9: case 11:
                    pocetDnu += 30;
                    break;
            }
        }
        return pocetDnu;
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        System.out.println("Pocet dnu do 28.2.2010 je "+pocetDnu(2010, 2, 28));
        System.out.println("Pocet dnu do 29.2.2000 je "+pocetDnu(2000, 2, 29));
        System.out.println("Pocet dnu do 31.12.1900 je "+pocetDnu(1900, 12, 31));
        System.out.println("Pocet dnu do 31.12.2000 je "+pocetDnu(2000, 12, 31));
        System.out.println("Pocet dnu do 5.5.2003 je "+pocetDnu(2003, 5, 5));
    }

}
